home *** CD-ROM | disk | FTP | other *** search
/ ftp.muug.mb.ca / 2014.06.ftp.muug.mb.ca.tar / ftp.muug.mb.ca / pub / openh323.tar.gz / openh323.tar / openh323 / config.status < prev    next >
Text File  |  2004-06-22  |  27KB  |  875 lines

  1. #! /bin/sh
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6.  
  7. debug=false
  8. ac_cs_recheck=false
  9. ac_cs_silent=false
  10. SHELL=${CONFIG_SHELL-/bin/sh}
  11. ## --------------------- ##
  12. ## M4sh Initialization.  ##
  13. ## --------------------- ##
  14.  
  15. # Be Bourne compatible
  16. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  17.   emulate sh
  18.   NULLCMD=:
  19.   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  20.   # is contrary to our usage.  Disable this feature.
  21.   alias -g '${1+"$@"}'='"$@"'
  22. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  23.   set -o posix
  24. fi
  25.  
  26. # Support unset when possible.
  27. if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  28.   as_unset=unset
  29. else
  30.   as_unset=false
  31. fi
  32.  
  33.  
  34. # Work around bugs in pre-3.0 UWIN ksh.
  35. $as_unset ENV MAIL MAILPATH
  36. PS1='$ '
  37. PS2='> '
  38. PS4='+ '
  39.  
  40. # NLS nuisances.
  41. for as_var in \
  42.   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  43.   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  44.   LC_TELEPHONE LC_TIME
  45. do
  46.   if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
  47.     eval $as_var=C; export $as_var
  48.   else
  49.     $as_unset $as_var
  50.   fi
  51. done
  52.  
  53. # Required to use basename.
  54. if expr a : '\(a\)' >/dev/null 2>&1; then
  55.   as_expr=expr
  56. else
  57.   as_expr=false
  58. fi
  59.  
  60. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  61.   as_basename=basename
  62. else
  63.   as_basename=false
  64. fi
  65.  
  66.  
  67. # Name of the executable.
  68. as_me=`$as_basename "$0" ||
  69. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  70.      X"$0" : 'X\(//\)$' \| \
  71.      X"$0" : 'X\(/\)$' \| \
  72.      .     : '\(.\)' 2>/dev/null ||
  73. echo X/"$0" |
  74.     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  75.         /^X\/\(\/\/\)$/{ s//\1/; q; }
  76.         /^X\/\(\/\).*/{ s//\1/; q; }
  77.         s/.*/./; q'`
  78.  
  79.  
  80. # PATH needs CR, and LINENO needs CR and PATH.
  81. # Avoid depending upon Character Ranges.
  82. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  83. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  84. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  85. as_cr_digits='0123456789'
  86. as_cr_alnum=$as_cr_Letters$as_cr_digits
  87.  
  88. # The user is always right.
  89. if test "${PATH_SEPARATOR+set}" != set; then
  90.   echo "#! /bin/sh" >conf$$.sh
  91.   echo  "exit 0"   >>conf$$.sh
  92.   chmod +x conf$$.sh
  93.   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  94.     PATH_SEPARATOR=';'
  95.   else
  96.     PATH_SEPARATOR=:
  97.   fi
  98.   rm -f conf$$.sh
  99. fi
  100.  
  101.  
  102.   as_lineno_1=$LINENO
  103.   as_lineno_2=$LINENO
  104.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  105.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  106.   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  107.   # Find who we are.  Look in the path if we contain no path at all
  108.   # relative or not.
  109.   case $0 in
  110.     *[\\/]* ) as_myself=$0 ;;
  111.     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  112. for as_dir in $PATH
  113. do
  114.   IFS=$as_save_IFS
  115.   test -z "$as_dir" && as_dir=.
  116.   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  117. done
  118.  
  119.        ;;
  120.   esac
  121.   # We did not find ourselves, most probably we were run as `sh COMMAND'
  122.   # in which case we are not to be found in the path.
  123.   if test "x$as_myself" = x; then
  124.     as_myself=$0
  125.   fi
  126.   if test ! -f "$as_myself"; then
  127.     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  128. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  129.    { (exit 1); exit 1; }; }
  130.   fi
  131.   case $CONFIG_SHELL in
  132.   '')
  133.     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  134. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  135. do
  136.   IFS=$as_save_IFS
  137.   test -z "$as_dir" && as_dir=.
  138.   for as_base in sh bash ksh sh5; do
  139.      case $as_dir in
  140.      /*)
  141.        if ("$as_dir/$as_base" -c '
  142.   as_lineno_1=$LINENO
  143.   as_lineno_2=$LINENO
  144.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  145.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  146.   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
  147.          $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  148.          $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  149.          CONFIG_SHELL=$as_dir/$as_base
  150.          export CONFIG_SHELL
  151.          exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  152.        fi;;
  153.      esac
  154.        done
  155. done
  156. ;;
  157.   esac
  158.  
  159.   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  160.   # uniformly replaced by the line number.  The first 'sed' inserts a
  161.   # line-number line before each line; the second 'sed' does the real
  162.   # work.  The second script uses 'N' to pair each line-number line
  163.   # with the numbered line, and appends trailing '-' during
  164.   # substitution so that $LINENO is not a special case at line end.
  165.   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  166.   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  167.   sed '=' <$as_myself |
  168.     sed '
  169.       N
  170.       s,$,-,
  171.       : loop
  172.       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
  173.       t loop
  174.       s,-$,,
  175.       s,^['$as_cr_digits']*\n,,
  176.     ' >$as_me.lineno &&
  177.   chmod +x $as_me.lineno ||
  178.     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  179. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  180.    { (exit 1); exit 1; }; }
  181.  
  182.   # Don't try to exec as it changes $[0], causing all sort of problems
  183.   # (the dirname of $[0] is not the place where we might find the
  184.   # original and so on.  Autoconf is especially sensible to this).
  185.   . ./$as_me.lineno
  186.   # Exit status is that of the last command.
  187.   exit
  188. }
  189.  
  190.  
  191. case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  192.   *c*,-n*) ECHO_N= ECHO_C='
  193. ' ECHO_T='    ' ;;
  194.   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  195.   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
  196. esac
  197.  
  198. if expr a : '\(a\)' >/dev/null 2>&1; then
  199.   as_expr=expr
  200. else
  201.   as_expr=false
  202. fi
  203.  
  204. rm -f conf$$ conf$$.exe conf$$.file
  205. echo >conf$$.file
  206. if ln -s conf$$.file conf$$ 2>/dev/null; then
  207.   # We could just check for DJGPP; but this test a) works b) is more generic
  208.   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  209.   if test -f conf$$.exe; then
  210.     # Don't use ln at all; we don't have any links
  211.     as_ln_s='cp -p'
  212.   else
  213.     as_ln_s='ln -s'
  214.   fi
  215. elif ln conf$$.file conf$$ 2>/dev/null; then
  216.   as_ln_s=ln
  217. else
  218.   as_ln_s='cp -p'
  219. fi
  220. rm -f conf$$ conf$$.exe conf$$.file
  221.  
  222. if mkdir -p . 2>/dev/null; then
  223.   as_mkdir_p=:
  224. else
  225.   as_mkdir_p=false
  226. fi
  227.  
  228. as_executable_p="test -f"
  229.  
  230. # Sed expression to map a string onto a valid CPP name.
  231. as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
  232.  
  233. # Sed expression to map a string onto a valid variable name.
  234. as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
  235.  
  236.  
  237. # IFS
  238. # We need space, tab and new line, in precisely that order.
  239. as_nl='
  240. '
  241. IFS="     $as_nl"
  242.  
  243. # CDPATH.
  244. $as_unset CDPATH
  245.  
  246. exec 6>&1
  247.  
  248. # Open the log real soon, to keep \$[0] and so on meaningful, and to
  249. # report actual input values of CONFIG_FILES etc. instead of their
  250. # values after options handling.  Logging --version etc. is OK.
  251. exec 5>>config.log
  252. {
  253.   echo
  254.   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  255. ## Running $as_me. ##
  256. _ASBOX
  257. } >&5
  258. cat >&5 <<_CSEOF
  259.  
  260. This file was extended by $as_me, which was
  261. generated by GNU Autoconf 2.57.  Invocation command line was
  262.  
  263.   CONFIG_FILES    = $CONFIG_FILES
  264.   CONFIG_HEADERS  = $CONFIG_HEADERS
  265.   CONFIG_LINKS    = $CONFIG_LINKS
  266.   CONFIG_COMMANDS = $CONFIG_COMMANDS
  267.   $ $0 $@
  268.  
  269. _CSEOF
  270. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  271. echo >&5
  272. config_files=" openh323u.mak Makefile"
  273. config_headers=" include/openh323buildopts.h"
  274.  
  275. ac_cs_usage="\
  276. \`$as_me' instantiates files from templates according to the
  277. current configuration.
  278.  
  279. Usage: $0 [OPTIONS] [FILE]...
  280.  
  281.   -h, --help       print this help, then exit
  282.   -V, --version    print version number, then exit
  283.   -q, --quiet      do not print progress messages
  284.   -d, --debug      don't remove temporary files
  285.       --recheck    update $as_me by reconfiguring in the same conditions
  286.   --file=FILE[:TEMPLATE]
  287.                    instantiate the configuration file FILE
  288.   --header=FILE[:TEMPLATE]
  289.                    instantiate the configuration header FILE
  290.  
  291. Configuration files:
  292. $config_files
  293.  
  294. Configuration headers:
  295. $config_headers
  296.  
  297. Report bugs to <bug-autoconf@gnu.org>."
  298. ac_cs_version="\
  299. config.status
  300. configured by ./configure, generated by GNU Autoconf 2.57,
  301.   with options \"\"
  302.  
  303. Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
  304. Free Software Foundation, Inc.
  305. This config.status script is free software; the Free Software Foundation
  306. gives unlimited permission to copy, distribute and modify it."
  307. srcdir=.
  308. # If no file are specified by the user, then we need to provide default
  309. # value.  By we need to know if files were specified by the user.
  310. ac_need_defaults=:
  311. while test $# != 0
  312. do
  313.   case $1 in
  314.   --*=*)
  315.     ac_option=`expr "x$1" : 'x\([^=]*\)='`
  316.     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  317.     ac_shift=:
  318.     ;;
  319.   -*)
  320.     ac_option=$1
  321.     ac_optarg=$2
  322.     ac_shift=shift
  323.     ;;
  324.   *) # This is not an option, so the user has probably given explicit
  325.      # arguments.
  326.      ac_option=$1
  327.      ac_need_defaults=false;;
  328.   esac
  329.  
  330.   case $ac_option in
  331.   # Handling of the options.
  332.   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  333.     ac_cs_recheck=: ;;
  334.   --version | --vers* | -V )
  335.     echo "$ac_cs_version"; exit 0 ;;
  336.   --he | --h)
  337.     # Conflict between --help and --header
  338.     { { echo "$as_me:$LINENO: error: ambiguous option: $1
  339. Try \`$0 --help' for more information." >&5
  340. echo "$as_me: error: ambiguous option: $1
  341. Try \`$0 --help' for more information." >&2;}
  342.    { (exit 1); exit 1; }; };;
  343.   --help | --hel | -h )
  344.     echo "$ac_cs_usage"; exit 0 ;;
  345.   --debug | --d* | -d )
  346.     debug=: ;;
  347.   --file | --fil | --fi | --f )
  348.     $ac_shift
  349.     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  350.     ac_need_defaults=false;;
  351.   --header | --heade | --head | --hea )
  352.     $ac_shift
  353.     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  354.     ac_need_defaults=false;;
  355.   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  356.   | -silent | --silent | --silen | --sile | --sil | --si | --s)
  357.     ac_cs_silent=: ;;
  358.  
  359.   # This is an error.
  360.   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  361. Try \`$0 --help' for more information." >&5
  362. echo "$as_me: error: unrecognized option: $1
  363. Try \`$0 --help' for more information." >&2;}
  364.    { (exit 1); exit 1; }; } ;;
  365.  
  366.   *) ac_config_targets="$ac_config_targets $1" ;;
  367.  
  368.   esac
  369.   shift
  370. done
  371.  
  372. ac_configure_extra_args=
  373.  
  374. if $ac_cs_silent; then
  375.   exec 6>/dev/null
  376.   ac_configure_extra_args="$ac_configure_extra_args --silent"
  377. fi
  378.  
  379. if $ac_cs_recheck; then
  380.   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
  381.   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
  382. fi
  383.  
  384. for ac_config_target in $ac_config_targets
  385. do
  386.   case "$ac_config_target" in
  387.   # Handling of arguments.
  388.   "openh323u.mak" ) CONFIG_FILES="$CONFIG_FILES openh323u.mak" ;;
  389.   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  390.   "include/openh323buildopts.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/openh323buildopts.h" ;;
  391.   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  392. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  393.    { (exit 1); exit 1; }; };;
  394.   esac
  395. done
  396.  
  397. # If the user did not use the arguments to specify the items to instantiate,
  398. # then the envvar interface is used.  Set only those that are not.
  399. # We use the long form for the default assignment because of an extremely
  400. # bizarre bug on SunOS 4.1.3.
  401. if $ac_need_defaults; then
  402.   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  403.   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  404. fi
  405.  
  406. # Have a temporary directory for convenience.  Make it in the build tree
  407. # simply because there is no reason to put it here, and in addition,
  408. # creating and moving files from /tmp can sometimes cause problems.
  409. # Create a temporary directory, and hook for its removal unless debugging.
  410. $debug ||
  411. {
  412.   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  413.   trap '{ (exit 1); exit 1; }' 1 2 13 15
  414. }
  415.  
  416. # Create a (secure) tmp directory for tmp files.
  417.  
  418. {
  419.   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  420.   test -n "$tmp" && test -d "$tmp"
  421. }  ||
  422. {
  423.   tmp=./confstat$$-$RANDOM
  424.   (umask 077 && mkdir $tmp)
  425. } ||
  426. {
  427.    echo "$me: cannot create a temporary directory in ." >&2
  428.    { (exit 1); exit 1; }
  429. }
  430.  
  431.  
  432. #
  433. # CONFIG_FILES section.
  434. #
  435.  
  436. # No need to generate the scripts if there are no CONFIG_FILES.
  437. # This happens for instance when ./config.status config.h
  438. if test -n "$CONFIG_FILES"; then
  439.   # Protect against being on the right side of a sed subst in config.status.
  440.   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  441.    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  442. s,@SHELL@,/bin/sh,;t t
  443. s,@PATH_SEPARATOR@,:,;t t
  444. s,@PACKAGE_NAME@,,;t t
  445. s,@PACKAGE_TARNAME@,,;t t
  446. s,@PACKAGE_VERSION@,,;t t
  447. s,@PACKAGE_STRING@,,;t t
  448. s,@PACKAGE_BUGREPORT@,,;t t
  449. s,@exec_prefix@,${prefix},;t t
  450. s,@prefix@,/usr/local,;t t
  451. s,@program_transform_name@,s,x,x,,;t t
  452. s,@bindir@,${exec_prefix}/bin,;t t
  453. s,@sbindir@,${exec_prefix}/sbin,;t t
  454. s,@libexecdir@,${exec_prefix}/libexec,;t t
  455. s,@datadir@,${prefix}/share,;t t
  456. s,@sysconfdir@,${prefix}/etc,;t t
  457. s,@sharedstatedir@,${prefix}/com,;t t
  458. s,@localstatedir@,${prefix}/var,;t t
  459. s,@libdir@,${exec_prefix}/lib,;t t
  460. s,@includedir@,${prefix}/include,;t t
  461. s,@oldincludedir@,/usr/include,;t t
  462. s,@infodir@,${prefix}/info,;t t
  463. s,@mandir@,${prefix}/man,;t t
  464. s,@build_alias@,,;t t
  465. s,@host_alias@,,;t t
  466. s,@target_alias@,,;t t
  467. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  468. s,@ECHO_C@,,;t t
  469. s,@ECHO_N@,-n,;t t
  470. s,@ECHO_T@,,;t t
  471. s,@LIBS@,,;t t
  472. s,@CXX@,g++,;t t
  473. s,@CXXFLAGS@,-g -O2,;t t
  474. s,@LDFLAGS@,,;t t
  475. s,@CPPFLAGS@,,;t t
  476. s,@ac_ct_CXX@,g++,;t t
  477. s,@EXEEXT@,,;t t
  478. s,@OBJEXT@,o,;t t
  479. s,@OPENH323DIR@,/home/software/voip/openh323,;t t
  480. s,@INSTALLPREFIX@,/usr/local,;t t
  481. s,@LIBDIR@,${exec_prefix}/lib,;t t
  482. s,@OPENH323_VERSION@,1.12.2,;t t
  483. s,@PTLIB_CONFIG@,,;t t
  484. s,@PWLIBDIR@,/home/software/voip/openh323/../pwlib,;t t
  485. s,@CC@,gcc,;t t
  486. s,@CFLAGS@,-g -O2,;t t
  487. s,@ac_ct_CC@,gcc,;t t
  488. s,@CPP@,gcc -E,;t t
  489. s,@EGREP@,grep -E,;t t
  490. s,@H323_AVCODEC@,,;t t
  491. s,@H323_VICH263@,,;t t
  492. s,@STDCCFLAGS@,,;t t
  493. s,@ENDLDLIBS@,,;t t
  494. s,@LIBOBJS@,,;t t
  495. s,@LTLIBOBJS@,,;t t
  496. CEOF
  497.  
  498.   # Split the substitutions into bite-sized pieces for seds with
  499.   # small command number limits, like on Digital OSF/1 and HP-UX.
  500.   ac_max_sed_lines=48
  501.   ac_sed_frag=1 # Number of current file.
  502.   ac_beg=1 # First line for current file.
  503.   ac_end=$ac_max_sed_lines # Line after last line for current file.
  504.   ac_more_lines=:
  505.   ac_sed_cmds=
  506.   while $ac_more_lines; do
  507.     if test $ac_beg -gt 1; then
  508.       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  509.     else
  510.       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  511.     fi
  512.     if test ! -s $tmp/subs.frag; then
  513.       ac_more_lines=false
  514.     else
  515.       # The purpose of the label and of the branching condition is to
  516.       # speed up the sed processing (if there are no `@' at all, there
  517.       # is no need to browse any of the substitutions).
  518.       # These are the two extra sed commands mentioned above.
  519.       (echo ':t
  520.   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  521.       if test -z "$ac_sed_cmds"; then
  522.       ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  523.       else
  524.       ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  525.       fi
  526.       ac_sed_frag=`expr $ac_sed_frag + 1`
  527.       ac_beg=$ac_end
  528.       ac_end=`expr $ac_end + $ac_max_sed_lines`
  529.     fi
  530.   done
  531.   if test -z "$ac_sed_cmds"; then
  532.     ac_sed_cmds=cat
  533.   fi
  534. fi # test -n "$CONFIG_FILES"
  535.  
  536. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  537.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  538.   case $ac_file in
  539.   - | *:- | *:-:* ) # input from stdin
  540.         cat >$tmp/stdin
  541.         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  542.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  543.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  544.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  545.   * )   ac_file_in=$ac_file.in ;;
  546.   esac
  547.  
  548.   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  549.   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  550. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  551.          X"$ac_file" : 'X\(//\)[^/]' \| \
  552.          X"$ac_file" : 'X\(//\)$' \| \
  553.          X"$ac_file" : 'X\(/\)' \| \
  554.          .     : '\(.\)' 2>/dev/null ||
  555. echo X"$ac_file" |
  556.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  557.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  558.         /^X\(\/\/\)$/{ s//\1/; q; }
  559.         /^X\(\/\).*/{ s//\1/; q; }
  560.         s/.*/./; q'`
  561.   { if $as_mkdir_p; then
  562.     mkdir -p "$ac_dir"
  563.   else
  564.     as_dir="$ac_dir"
  565.     as_dirs=
  566.     while test ! -d "$as_dir"; do
  567.       as_dirs="$as_dir $as_dirs"
  568.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  569. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  570.          X"$as_dir" : 'X\(//\)[^/]' \| \
  571.          X"$as_dir" : 'X\(//\)$' \| \
  572.          X"$as_dir" : 'X\(/\)' \| \
  573.          .     : '\(.\)' 2>/dev/null ||
  574. echo X"$as_dir" |
  575.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  576.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  577.         /^X\(\/\/\)$/{ s//\1/; q; }
  578.         /^X\(\/\).*/{ s//\1/; q; }
  579.         s/.*/./; q'`
  580.     done
  581.     test ! -n "$as_dirs" || mkdir $as_dirs
  582.   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  583. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  584.    { (exit 1); exit 1; }; }; }
  585.  
  586.   ac_builddir=.
  587.  
  588. if test "$ac_dir" != .; then
  589.   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  590.   # A "../" for each directory in $ac_dir_suffix.
  591.   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
  592. else
  593.   ac_dir_suffix= ac_top_builddir=
  594. fi
  595.  
  596. case $srcdir in
  597.   .)  # No --srcdir option.  We are building in place.
  598.     ac_srcdir=.
  599.     if test -z "$ac_top_builddir"; then
  600.        ac_top_srcdir=.
  601.     else
  602.        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  603.     fi ;;
  604.   [\\/]* | ?:[\\/]* )  # Absolute path.
  605.     ac_srcdir=$srcdir$ac_dir_suffix;
  606.     ac_top_srcdir=$srcdir ;;
  607.   *) # Relative path.
  608.     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  609.     ac_top_srcdir=$ac_top_builddir$srcdir ;;
  610. esac
  611. # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
  612. # absolute.
  613. ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
  614. ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
  615. ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
  616. ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
  617.  
  618.  
  619.  
  620.   if test x"$ac_file" != x-; then
  621.     { echo "$as_me:$LINENO: creating $ac_file" >&5
  622. echo "$as_me: creating $ac_file" >&6;}
  623.     rm -f "$ac_file"
  624.   fi
  625.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  626.   # use $as_me), people would be surprised to read:
  627.   #    /* config.h.  Generated by config.status.  */
  628.   if test x"$ac_file" = x-; then
  629.     configure_input=
  630.   else
  631.     configure_input="$ac_file.  "
  632.   fi
  633.   configure_input=$configure_input"Generated from `echo $ac_file_in |
  634.                                      sed 's,.*/,,'` by configure."
  635.  
  636.   # First look for the input files in the build tree, otherwise in the
  637.   # src tree.
  638.   ac_file_inputs=`IFS=:
  639.     for f in $ac_file_in; do
  640.       case $f in
  641.       -) echo $tmp/stdin ;;
  642.       [\\/$]*)
  643.          # Absolute (can't be DOS-style, as IFS=:)
  644.          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  645. echo "$as_me: error: cannot find input file: $f" >&2;}
  646.    { (exit 1); exit 1; }; }
  647.          echo $f;;
  648.       *) # Relative
  649.          if test -f "$f"; then
  650.            # Build tree
  651.            echo $f
  652.          elif test -f "$srcdir/$f"; then
  653.            # Source tree
  654.            echo $srcdir/$f
  655.          else
  656.            # /dev/null tree
  657.            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  658. echo "$as_me: error: cannot find input file: $f" >&2;}
  659.    { (exit 1); exit 1; }; }
  660.          fi;;
  661.       esac
  662.     done` || { (exit 1); exit 1; }
  663.   sed "/^[     ]*VPATH[     ]*=/{
  664. s/:*\$(srcdir):*/:/;
  665. s/:*\${srcdir}:*/:/;
  666. s/:*@srcdir@:*/:/;
  667. s/^\([^=]*=[     ]*\):*/\1/;
  668. s/:*$//;
  669. s/^[^=]*=[     ]*$//;
  670. }
  671.  
  672. :t
  673. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  674. s,@configure_input@,$configure_input,;t t
  675. s,@srcdir@,$ac_srcdir,;t t
  676. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  677. s,@top_srcdir@,$ac_top_srcdir,;t t
  678. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  679. s,@builddir@,$ac_builddir,;t t
  680. s,@abs_builddir@,$ac_abs_builddir,;t t
  681. s,@top_builddir@,$ac_top_builddir,;t t
  682. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  683. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  684.   rm -f $tmp/stdin
  685.   if test x"$ac_file" != x-; then
  686.     mv $tmp/out $ac_file
  687.   else
  688.     cat $tmp/out
  689.     rm -f $tmp/out
  690.   fi
  691.  
  692. done
  693.  
  694. #
  695. # CONFIG_HEADER section.
  696. #
  697.  
  698. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  699. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  700. #
  701. # ac_d sets the value in "#define NAME VALUE" lines.
  702. ac_dA='s,^\([     ]*\)#\([     ]*define[     ][     ]*\)'
  703. ac_dB='[     ].*$,\1#\2'
  704. ac_dC=' '
  705. ac_dD=',;t'
  706. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  707. ac_uA='s,^\([     ]*\)#\([     ]*\)undef\([     ][     ]*\)'
  708. ac_uB='$,\1#\2define\3'
  709. ac_uC=' '
  710. ac_uD=',;t'
  711.  
  712. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  713.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  714.   case $ac_file in
  715.   - | *:- | *:-:* ) # input from stdin
  716.         cat >$tmp/stdin
  717.         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  718.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  719.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  720.         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  721.   * )   ac_file_in=$ac_file.in ;;
  722.   esac
  723.  
  724.   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  725. echo "$as_me: creating $ac_file" >&6;}
  726.  
  727.   # First look for the input files in the build tree, otherwise in the
  728.   # src tree.
  729.   ac_file_inputs=`IFS=:
  730.     for f in $ac_file_in; do
  731.       case $f in
  732.       -) echo $tmp/stdin ;;
  733.       [\\/$]*)
  734.          # Absolute (can't be DOS-style, as IFS=:)
  735.          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  736. echo "$as_me: error: cannot find input file: $f" >&2;}
  737.    { (exit 1); exit 1; }; }
  738.          echo $f;;
  739.       *) # Relative
  740.          if test -f "$f"; then
  741.            # Build tree
  742.            echo $f
  743.          elif test -f "$srcdir/$f"; then
  744.            # Source tree
  745.            echo $srcdir/$f
  746.          else
  747.            # /dev/null tree
  748.            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  749. echo "$as_me: error: cannot find input file: $f" >&2;}
  750.    { (exit 1); exit 1; }; }
  751.          fi;;
  752.       esac
  753.     done` || { (exit 1); exit 1; }
  754.   # Remove the trailing spaces.
  755.   sed 's/[     ]*$//' $ac_file_inputs >$tmp/in
  756.  
  757.   # Handle all the #define templates only if necessary.
  758.   if grep "^[     ]*#[     ]*define" $tmp/in >/dev/null; then
  759.   # If there are no defines, we may have an empty if/fi
  760.   :
  761.   cat >$tmp/defines.sed <<CEOF
  762. /^[     ]*#[     ]*define/!b
  763. t clr
  764. : clr
  765. ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
  766. ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
  767. ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
  768. ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
  769. ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
  770. ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
  771. ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
  772. ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
  773. ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
  774. ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
  775. ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
  776. ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
  777. ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
  778. ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
  779. ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
  780. CEOF
  781.   sed -f $tmp/defines.sed $tmp/in >$tmp/out
  782.   rm -f $tmp/in
  783.   mv $tmp/out $tmp/in
  784.  
  785.   fi # grep
  786.  
  787.   # Handle all the #undef templates
  788.   cat >$tmp/undefs.sed <<CEOF
  789. /^[     ]*#[     ]*undef/!b
  790. t clr
  791. : clr
  792. ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
  793. ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
  794. ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
  795. ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
  796. ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
  797. ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
  798. ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
  799. ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
  800. ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
  801. ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
  802. ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
  803. ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
  804. ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
  805. ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
  806. ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
  807. s,^[     ]*#[     ]*undef[     ][     ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  808. CEOF
  809.   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  810.   rm -f $tmp/in
  811.   mv $tmp/out $tmp/in
  812.  
  813.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  814.   # use $as_me), people would be surprised to read:
  815.   #    /* config.h.  Generated by config.status.  */
  816.   if test x"$ac_file" = x-; then
  817.     echo "/* Generated by configure.  */" >$tmp/config.h
  818.   else
  819.     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
  820.   fi
  821.   cat $tmp/in >>$tmp/config.h
  822.   rm -f $tmp/in
  823.   if test x"$ac_file" != x-; then
  824.     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  825.       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  826. echo "$as_me: $ac_file is unchanged" >&6;}
  827.     else
  828.       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  829. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  830.          X"$ac_file" : 'X\(//\)[^/]' \| \
  831.          X"$ac_file" : 'X\(//\)$' \| \
  832.          X"$ac_file" : 'X\(/\)' \| \
  833.          .     : '\(.\)' 2>/dev/null ||
  834. echo X"$ac_file" |
  835.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  836.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  837.         /^X\(\/\/\)$/{ s//\1/; q; }
  838.         /^X\(\/\).*/{ s//\1/; q; }
  839.         s/.*/./; q'`
  840.       { if $as_mkdir_p; then
  841.     mkdir -p "$ac_dir"
  842.   else
  843.     as_dir="$ac_dir"
  844.     as_dirs=
  845.     while test ! -d "$as_dir"; do
  846.       as_dirs="$as_dir $as_dirs"
  847.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  848. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  849.          X"$as_dir" : 'X\(//\)[^/]' \| \
  850.          X"$as_dir" : 'X\(//\)$' \| \
  851.          X"$as_dir" : 'X\(/\)' \| \
  852.          .     : '\(.\)' 2>/dev/null ||
  853. echo X"$as_dir" |
  854.     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  855.         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  856.         /^X\(\/\/\)$/{ s//\1/; q; }
  857.         /^X\(\/\).*/{ s//\1/; q; }
  858.         s/.*/./; q'`
  859.     done
  860.     test ! -n "$as_dirs" || mkdir $as_dirs
  861.   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
  862. echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
  863.    { (exit 1); exit 1; }; }; }
  864.  
  865.       rm -f $ac_file
  866.       mv $tmp/config.h $ac_file
  867.     fi
  868.   else
  869.     cat $tmp/config.h
  870.     rm -f $tmp/config.h
  871.   fi
  872. done
  873.  
  874. { (exit 0); exit 0; }
  875.